%define upstream_name    Glib-Object-Introspection
%define upstream_version 0.040

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 2

Summary:    Dynamically create Perl language bindings
License:    LGPLv2
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Glib/%{upstream_name}-%{upstream_version}.tar.xz

BuildRequires: perl-ExtUtils-Depends
BuildRequires: perl-ExtUtils-PkgConfig
BuildRequires: perl-Glib
BuildRequires: perl-devel
BuildRequires: gobject-introspection-devel
BuildRequires: locales-en
Requires: perl-Glib >= 1.320

%{?perl_default_filter}

%description
To allow Glib::Object::Introspection to create bindings for a library, it
must have installed a typelib file, for example
'$prefix/lib/girepository-1.0/Gtk-3.0.typelib'. In your code you then
simply call 'Glib::Object::Introspection->setup' to set everything up. This
method takes a couple of key-value pairs as arguments. These three are
mandatory:

* basename => $basename

  The basename of the library that should be wrapped. If your typelib is
  called 'Gtk-3.0.typelib', then the basename is 'Gtk'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %buildroot
%makeinstall_std

%files
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/*

%changelog
* Sat Jul 23 2016 bb <bb> 0.040-2pclos2016
- rebuild new libffi

* Wed Mar 02 2016 bb <bb> 0.040-1pclos2016
- update

* Mon Mar 30 2015 bb <bb> 0.025-1pclos2015
- import from france
